package de.duehl.twosidecommander.try1.list;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Dimension;

import de.duehl.swing.ui.dialogs.base.NonModalFrameDialogBase;
import de.duehl.twosidecommander.try1.list.displayer.DemoListDisplayer1;

public class ListTestDemo1 extends NonModalFrameDialogBase {

    private static final String TITLE = "ListTestDemo 1";

    private static final Dimension DIALOG_DIMENSION = new Dimension(1000, 600);


    public ListTestDemo1() {
        super(TITLE, DIALOG_DIMENSION);

        fillDialog();
    }

    @Override
    protected void populateDialog() {
        add(createListDisplayerPart(), BorderLayout.CENTER);
    }

    private Component createListDisplayerPart() {
        DemoListDisplayer1 displyer = new DemoListDisplayer1();
        displyer.showMoveButtonsOnListElements(true);
        return displyer.getComponent();
    }

    public static void main(String[] args) {
        ListTestDemo1 tester = new ListTestDemo1();
        tester.setVisible(true);
    }

}
